Skip to main content
POST
/
api
/
v1
/
envelopes
/
{id}
/
send
Send an envelope
curl --request POST \
  --url https://api.atlaswork.ai/api/v1/envelopes/{id}/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expectedVersion": 2
}
'
{
  "envelope": {
    "id": "<string>",
    "organizationId": "<string>",
    "version": 123,
    "originalFilename": "<string>",
    "sourceFormat": "<string>",
    "contentHash": "<string>",
    "sizeBytes": 123,
    "deliveryMode": "<string>",
    "legalFramework": "<string>",
    "consumerDisclosure": true,
    "expiresAt": "2023-11-07T05:31:56Z",
    "scheduledSendAt": "2023-11-07T05:31:56Z",
    "sentAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "declinedAt": "2023-11-07T05:31:56Z",
    "voidedAt": "2023-11-07T05:31:56Z",
    "expiredAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "reminderPolicy": null,
    "metadata": null
  },
  "participants": [
    {
      "id": "<string>",
      "envelopeId": "<string>",
      "organizationId": "<string>",
      "orderIndex": 123,
      "name": "<string>",
      "email": "<string>",
      "consentedAt": "2023-11-07T05:31:56Z",
      "signedAt": "2023-11-07T05:31:56Z",
      "declinedAt": "2023-11-07T05:31:56Z",
      "declineReason": "<string>",
      "lastViewedAt": "2023-11-07T05:31:56Z",
      "lastIpAddress": "<string>",
      "lastUserAgent": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "fields": [
    {
      "id": "<string>",
      "envelopeId": "<string>",
      "organizationId": "<string>",
      "participantId": "<string>",
      "page": 123,
      "x": 123,
      "y": 123,
      "width": 123,
      "height": 123,
      "label": "<string>",
      "required": true,
      "prefillValue": "<string>",
      "value": "<string>",
      "filledAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Organization API key (format atlas_sk_...), passed as a bearer token or the x-api-key header. Created and revoked in the dashboard (Better Auth api-key plugin); shown in full only once and stored hashed.

Path Parameters

id
string
required

Envelope id

Minimum string length: 1

Body

application/json
expectedVersion
integer
Required range: x >= 1

Response

The sent envelope graph (status in_progress)

envelope
object
required
participants
object[]
required
fields
object[]
required